Bug 215827 - SELinux Mgt tool gui menu misdirection
SELinux Mgt tool gui menu misdirection
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-15 17:43 EST by Richard Hally
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-01 11:23:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard Hally 2006-11-15 17:43:35 EST
Description of problem:
after selecting on the left, clicking on the "properties" choice produces 
the wrong input box.


Verrsion-Release number of selected component (if applicable):
policycoreutils-gui 1.33.1-1

How reproducible:
every time


Steps to Reproduce:
1. select "file contexts" on the left side of the screen
2. select "properties" at the top.
3.
  
Actual results:
You get the "Modify SELinux User Mapping" box.


Expected results:
should get some box to modify the file contexts.

Additional info:
Similar problem with all the other selections on the left.
i.e. select "Linux to SELinux User Mapping" on the left
then "properties", you get the "Modify the SELinux SELinux Level Translation" box.
Also, select the "translations" on the left, you get the "SELinux Users" part on
the right side. If you select "properties" you get the "modify SELinux Users" box.
Similar problem with the last three items on the left.
Comment 1 Richard Hally 2006-11-15 17:55:33 EST
Starting the GUI from a terminal produces the following output:
[root@localhost ~]# system-config-selinux
/usr/share/system-config-selinux/system-config-selinux.py:67: Warning:
IA__g_object_get_valist: object class `GnomeProgram' has no property named
`default-icon'
  xml = gtk.glade.XML
("/usr/share/system-config-selinux/system-config-selinux.glade", domain=PROGNAME)
Traceback (most recent call last):
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 104, in
properties
    self.tabs[self.notebook.get_current_page()].propertiesDialog()
AttributeError: 'NoneType' object has no attribute 'propertiesDialog'
Traceback (most recent call last):
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 104, in
properties
    self.tabs[self.notebook.get_current_page()].propertiesDialog()
AttributeError: 'NoneType' object has no attribute 'propertiesDialog'
[root@localhost ~]# 
Comment 2 Daniel Walsh 2006-11-17 13:26:57 EST
This should be fixed in policycoreutils-1_33_1-9
Comment 3 Richard Hally 2006-11-17 14:47:51 EST
Mostly fixed:
Starting from a terminal (system-config-selinux) it gives this message:

[root@localhost ~]# system-config-selinux
/usr/share/system-config-selinux/system-config-selinux.py:68: Warning:
IA__g_object_get_valist: object class `GnomeProgram' has no property named
`default-icon'
  xml = gtk.glade.XML
("/usr/share/system-config-selinux/system-config-selinux.glade", domain=PROGNAME)

It executes ok but more importantly it still produces the following error when
selecting "Network Ports" then click on "properties":

Traceback (most recent call last):
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 105, in
properties
    self.tabs[self.notebook.get_current_page()].propertiesDialog()
  File "/usr/share/system-config-selinux/semanagePage.py", line 94, in
propertiesDialog
    self.dialogInit()
  File "/usr/share/system-config-selinux/portsPage.py", line 148, in dialogInit
    self.ports_number_entry.set_text(store.get_value(iter, PORTS_COL))
NameError: global name 'PORTS_COL' is not defined

And no box to configure ports.

todays rawhide:
[root@localhost ~]# rpm -qa | grep policycoreutils
policycoreutils-1.33.1-8.fc7
policycoreutils-gui-1.33.1-8.fc7
policycoreutils-newrole-1.33.1-8.fc7


Comment 4 Richard Hally 2006-11-30 17:17:30 EST
the problems reported in this bug look like they are fixed, please close, thanks

Note You need to log in before you can comment on or make changes to this bug.